Subject: Re: bug#15375: 24.3.50; Elisp manual: mention what units are used for window margin functions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2013 18:29:36 +0300

> Date: Sat, 14 Sep 2013 08:18:38 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > (elisp) `Display Margins` talks a lot about window margins, but AFAICT
> > > it never once says which units are used for the functions and variables
> > > described there.  I'm guessing the unit is `frame-char-width', but Emacs
> > > should tell us explicitly here.
> > 
> > The units are character cells (a.k.a. "columns").
> > 
> > I fixed this in trunk revision 114279.
> > 
> > > Moreover, we don't even tell users what a nil value means, as opposed
> > > to a whole number.
> > >
> > > For example, right now, `M-: (window-margins)' returns `(nil)' for me,
> > > which corresponds to both LEFT and RIGHT being nil.  What does a nil
> > > value mean for each of these?
> > 
> > Fixed that as well.
> 
> Thanks.  Do you want me to close the bug, or do you want to?
> (Dunno whether you wanted to keep it open for some reason.)

I left it open to allow you to review the changes.  You can do that
either by pointing your browser at
http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/doc/lispref/display.texi
and going down to line 4160, or by waiting for the next binary
snapshot of the trunk.